libnvme(2)

NAME
struct nbft_host - Host Descriptor (Figure 9)

SYNOPSIS
struct nbft_host {
__u8 structure_id;
__u8 flags;
__u8 host_id[16];
struct nbft_heap_obj host_nqn_obj;
__u8 reserved[8];
};

Members

structure_id
    Structure ID: This field shall be set to 2h (i.e., Host Descriptor; #NBFT_DESC_HOST).

flags
    Host Flags, see enum nbft_host_flags.

host_id
    Host ID: This field shall be set to the Host Identifier. This field shall not be empty if the NBFT and NVMe Boot are supported by the Platform.

host_nqn_obj
    Host NQN Heap Object Reference: this field indicates a heap object containing a Host NQN. This object shall not be empty if the NBFT and NVMe Boot are supported by the Platform.

reserved
    Reserved.